Common Criteria Protection Profile for Application Firmware of Secure Smartcard Reader for National Electronic Identity Verification System

Certificate details

Status archived
Valid from 03.12.2015
Valid until 03.12.2018
Scheme 🇹🇷 TR
Manufacturer TÜBİTAK BİLGEM UEKAE
Category ICs, Smart Cards and Smart Card-Related Devices and Systems
Security level ALC_DVS.2, EAL4+

Certificate

certificate could not be downloaded, no link is available.

Certification report

Extracted keywords

Symmetric Algorithms
AES, CMAC
Block cipher modes
CBC

JavaCard packages
org.tr

Security level
EAL 4+, EAL4, EAL4+
Claims
A.SAM_, A.SPCA, A.IVPS, A.EBS-EPP, A.PC, A.APS-IVPS, A.SAM
Security Assurance Requirements (SAR)
ALC_DVS.2
Security Functional Requirements (SFR)
FAU_GEN, FAU_ARP, FAU_STG.1, FAU_STG, FAU_SAA, FCO_NRO, FCO_NRO.2, FCS_CKM, FCS_CKM.4, FCS_COP, FDP_SDI, FDP_IFC, FDP_IFF, FDP_ITC, FDP_ETC, FDP_RIP, FIA_AFL.1, FIA_AFL, FIA_UAU.2, FIA_UAU, FIA_UAU.6, FMT_MOF, FMT_MTD, FMT_SMF, FMT_SMR, FPT_IDA, FPT_STM.1, FPT_STM, FPT_SSY, FPT_TST, FPT_FLS, FTP_ITC
Evaluation facilities
TÜBİTAK BİLGEM

Standards
ISO/IEC 17025, CCMB-2012-09-001, CCMB-2012-09-002, CCMB-2012-09-003, CCMB-2012-09-004

Security target

Extracted keywords

Symmetric Algorithms
AES-256, AES, AES-, CMAC
Hash functions
SHA-256
Protocols
TLS v1.2, TLS
Block cipher modes
CBC

Security level
EAL4+, EAL4, EAL4 augmented
Claims
T.C, A.SPCA, A.IVPS, A.EBS-EPP, A.PC, A.APS-IVPS, A.SAM_, A.APS, OT.APS_DA, OT.SAS_DA, OT.APS_SC, OT.SAS_SC, OT.RH_DA, OT.RH_SC, OT.EBS_DA, OT.EBS_SC, OT.EPP_DA, OT.EPP_SC, OT.DPM, OT.SM_, OT.RIP, OT.IVA, OT.SC_EPP, OE.SPCA, OE.IVPS, OE.SAM, OE.OCSPS, OE.IVS, OE.EBS, OE.EPP, OE.PC, OE.SAS, OE.PKI, OE.CM, OE.APS, OE.OCSP, OE.SSR_
Security Assurance Requirements (SAR)
ALC_DVS.2, AVA_VAN.3, AVA_VAN.5
Security Functional Requirements (SFR)
FAU_GEN, FAU_GEN.1, FAU_GEN.1.1, FAU_GEN.1.2, FAU_ARP.1, FAU_SAA.1, FAU_ARP.1.1, FAU_STG.1, FAU_STG.1.1, FAU_STG.1.2, FAU_STG.4, FAU_STG.3, FAU_STG.4.1, FAU_SAA.1.1, FAU_SAA.1.2, FCO_NRO.2, FCO_NRO.2.1, FCO_NRO.2.2, FCO_NRO.2.3, FCS_CKM, FCS_CKM.2, FCS_COP.1, FCS_COP, FCS_CKM.4, FCS_CKM.1.1, FCS_CKM.1, FCS_CKM.4.1, FCS_COP.1.1, FDP_ITC.1, FDP_ITC.2, FDP_SDI.2, FDP_SDI.2.1, FDP_SDI.2.2, FDP_IFC.1, FDP_IFF.1, FDP_IFC.1.1, FDP_IFF.1.1, FDP_IFF.1.2, FDP_IFF.1.3, FDP_IFF.1.4, FDP_IFF.1.5, FDP_ACC.1, FDP_ITC.1.1, FDP_ITC.1.2, FDP_ITC.1.3, FDP_ETC.2, FDP_ETC.1.1, FDP_ETC.1.2, FDP_ETC.1.3, FDP_ETC.1.4, FDP_RIP.1, FDP_RIP.1.1, FDP_RIP, FIA_AFL.1, FIA_UAU.1, FIA_UAU.2, FIA_AFL.1.1, FIA_AFL.1.2, FIA_UID.2, FIA_UID.2.1, FIA_UID.1, FIA_UAU.2.1, FIA_UAU.5, FIA_UAU.5.1, FIA_UAU.5.2, FIA_UAU.6, FIA_UAU.6.1, FIA_UAU.7, FIA_UAU.7.1, FMT_MTD, FMT_MOF.1, FMT_SMR.1, FMT_SMF.1, FMT_MOF.1.1, FMT_MTD.1.1, FMT_SMF.1.1, FMT_SMR.1.1, FMT_SMR.1.2, FMT_MSA.3, FMT_MOF, FMT_SMF, FMT_SMR, FPT_IDA, FPT_IDA.1, FPT_SSY, FPT_SSY.1, FPT_IDA.1.1, FPT_SSY.1.1, FPT_STM.1, FPT_STM.1.1, FPT_TST.1, FPT_TST.1.1, FPT_TST.1.2, FPT_TST.1.3, FPT_FLS.1, FPT_FLS.1.1, FPT_FLS, FPT_ITC.1, FTP_ITC.1, FTP_ITC.1.1, FTP_ITC.1.2, FTP_ITC.1.3
Evaluation facilities
TÜBİTAK BİLGEM

Side-channel analysis
Timing Attacks, physical tampering

Standards
FIPS 180-4, FIPS 197, PKCS#1, PKCS #1, RFC 5246, RFC 4493, RFC 3447, CCMB-2012-09-001, CCMB-2012-09-002, CCMB-2012-09-003, CCMB-2012-09-004

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

Extracted SARs

ALC_DVS.2, AVA_VAN.5

Cross-references

No references are available for this certificate as its ID was not successfully extracted.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.cc.CCCertificate",
  "category": "ICs, Smart Cards and Smart Card-Related Devices and Systems",
  "cert_link": null,
  "dgst": "8555499546529d0c",
  "heuristics": {
    "_type": "sec_certs.sample.cc_eucc_common.Heuristics",
    "annotated_references": null,
    "cert_id": null,
    "cert_lab": null,
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "eal": "EAL4+",
    "extracted_sars": {
      "_type": "Set",
      "elements": [
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AVA_VAN",
          "level": 5
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_DVS",
          "level": 2
        }
      ]
    },
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "-"
      ]
    },
    "indirect_transitive_cves": null,
    "next_certificates": null,
    "prev_certificates": null,
    "protection_profiles": null,
    "related_cves": null,
    "report_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "scheme_data": null,
    "st_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "verified_cpe_matches": null
  },
  "maintenance_updates": {
    "_type": "Set",
    "elements": []
  },
  "manufacturer": "T\u00dcB\u0130TAK B\u0130LGEM UEKAE",
  "manufacturer_web": "https://www.uekae.tubitak.gov.tr",
  "name": "Common Criteria Protection Profile for Application Firmware of Secure Smartcard Reader for National Electronic Identity Verification System",
  "not_valid_after": "2018-12-03",
  "not_valid_before": "2015-12-03",
  "pdf_data": {
    "_type": "sec_certs.sample.cc_eucc_common.PdfData",
    "cert_filename": null,
    "cert_frontpage": null,
    "cert_keywords": null,
    "cert_metadata": null,
    "report_filename": "KEC PP Certification Report.pdf",
    "report_frontpage": {},
    "report_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {},
      "cc_claims": {
        "A": {
          "A.APS-IVPS": 1,
          "A.EBS-EPP": 1,
          "A.IVPS": 1,
          "A.PC": 1,
          "A.SAM": 1,
          "A.SAM_": 1,
          "A.SPCA": 1
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ALC": {
          "ALC_DVS.2": 4
        }
      },
      "cc_security_level": {
        "EAL": {
          "EAL 4+": 1,
          "EAL4": 1,
          "EAL4+": 3
        }
      },
      "cc_sfr": {
        "FAU": {
          "FAU_ARP": 1,
          "FAU_GEN": 1,
          "FAU_SAA": 1,
          "FAU_STG": 1,
          "FAU_STG.1": 1
        },
        "FCO": {
          "FCO_NRO": 1,
          "FCO_NRO.2": 1
        },
        "FCS": {
          "FCS_CKM": 3,
          "FCS_CKM.4": 1,
          "FCS_COP": 5
        },
        "FDP": {
          "FDP_ETC": 1,
          "FDP_IFC": 1,
          "FDP_IFF": 1,
          "FDP_ITC": 1,
          "FDP_RIP": 1,
          "FDP_SDI": 1
        },
        "FIA": {
          "FIA_AFL": 1,
          "FIA_AFL.1": 1,
          "FIA_UAU": 1,
          "FIA_UAU.2": 1,
          "FIA_UAU.6": 1
        },
        "FMT": {
          "FMT_MOF": 3,
          "FMT_MTD": 3,
          "FMT_SMF": 1,
          "FMT_SMR": 1
        },
        "FPT": {
          "FPT_FLS": 1,
          "FPT_IDA": 4,
          "FPT_SSY": 4,
          "FPT_STM": 1,
          "FPT_STM.1": 1,
          "FPT_TST": 1
        },
        "FTP": {
          "FTP_ITC": 1
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 1
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {},
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {
        "TUBITAK-BILGEM": {
          "T\u00dcB\u0130TAK B\u0130LGEM": 9
        }
      },
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {
        "org": {
          "org.tr": 1
        }
      },
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {
        "CC": {
          "CCMB-2012-09-001": 1,
          "CCMB-2012-09-002": 1,
          "CCMB-2012-09-003": 1,
          "CCMB-2012-09-004": 1
        },
        "ISO": {
          "ISO/IEC 17025": 2
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 1
          }
        },
        "constructions": {
          "MAC": {
            "CMAC": 1
          }
        }
      },
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "report_metadata": {
      "/Author": "Cengiz G\u00d6REN",
      "/CreationDate": "D:20151218174215+02\u002700\u0027",
      "/Creator": "Microsoft\u00ae Word 2013",
      "/ModDate": "D:20151218174215+02\u002700\u0027",
      "/Producer": "Microsoft\u00ae Word 2013",
      "pdf_file_size_bytes": 1172051,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 21
    },
    "st_filename": "Protection Profile for Secure Smartcard Reader Application Firmware_v2.5.pdf",
    "st_frontpage": null,
    "st_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {},
      "cc_claims": {
        "A": {
          "A.APS": 1,
          "A.APS-IVPS": 2,
          "A.EBS-EPP": 4,
          "A.IVPS": 3,
          "A.PC": 3,
          "A.SAM_": 4,
          "A.SPCA": 3
        },
        "OE": {
          "OE.APS": 13,
          "OE.CM": 39,
          "OE.EBS": 11,
          "OE.EPP": 12,
          "OE.IVPS": 7,
          "OE.IVS": 7,
          "OE.OCSP": 3,
          "OE.OCSPS": 7,
          "OE.PC": 7,
          "OE.PKI": 33,
          "OE.SAM": 43,
          "OE.SAS": 11,
          "OE.SPCA": 11,
          "OE.SSR_": 5
        },
        "OT": {
          "OT.APS_DA": 8,
          "OT.APS_SC": 5,
          "OT.DPM": 8,
          "OT.EBS_DA": 9,
          "OT.EBS_SC": 4,
          "OT.EPP_DA": 10,
          "OT.EPP_SC": 2,
          "OT.IVA": 5,
          "OT.RH_DA": 13,
          "OT.RH_SC": 11,
          "OT.RIP": 13,
          "OT.SAS_DA": 8,
          "OT.SAS_SC": 5,
          "OT.SC_EPP": 1,
          "OT.SM_": 5
        },
        "T": {
          "T.C": 8
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ALC": {
          "ALC_DVS.2": 5
        },
        "AVA": {
          "AVA_VAN.3": 1,
          "AVA_VAN.5": 1
        }
      },
      "cc_security_level": {
        "EAL": {
          "EAL4": 6,
          "EAL4 augmented": 1,
          "EAL4+": 2
        }
      },
      "cc_sfr": {
        "FAU": {
          "FAU_ARP.1": 5,
          "FAU_ARP.1.1": 1,
          "FAU_GEN": 2,
          "FAU_GEN.1": 36,
          "FAU_GEN.1.1": 1,
          "FAU_GEN.1.2": 1,
          "FAU_SAA.1": 6,
          "FAU_SAA.1.1": 1,
          "FAU_SAA.1.2": 1,
          "FAU_STG.1": 4,
          "FAU_STG.1.1": 1,
          "FAU_STG.1.2": 1,
          "FAU_STG.3": 1,
          "FAU_STG.4": 3,
          "FAU_STG.4.1": 1
        },
        "FCO": {
          "FCO_NRO.2": 4,
          "FCO_NRO.2.1": 1,
          "FCO_NRO.2.2": 1,
          "FCO_NRO.2.3": 1
        },
        "FCS": {
          "FCS_CKM": 44,
          "FCS_CKM.1": 7,
          "FCS_CKM.1.1": 3,
          "FCS_CKM.2": 3,
          "FCS_CKM.4": 37,
          "FCS_CKM.4.1": 1,
          "FCS_COP": 65,
          "FCS_COP.1": 3,
          "FCS_COP.1.1": 5
        },
        "FDP": {
          "FDP_ACC.1": 2,
          "FDP_ETC.1.1": 1,
          "FDP_ETC.1.2": 1,
          "FDP_ETC.1.3": 1,
          "FDP_ETC.1.4": 1,
          "FDP_ETC.2": 1,
          "FDP_IFC.1": 7,
          "FDP_IFC.1.1": 1,
          "FDP_IFF.1": 3,
          "FDP_IFF.1.1": 1,
          "FDP_IFF.1.2": 1,
          "FDP_IFF.1.3": 1,
          "FDP_IFF.1.4": 1,
          "FDP_IFF.1.5": 1,
          "FDP_ITC.1": 7,
          "FDP_ITC.1.1": 1,
          "FDP_ITC.1.2": 1,
          "FDP_ITC.1.3": 1,
          "FDP_ITC.2": 6,
          "FDP_RIP": 1,
          "FDP_RIP.1": 4,
          "FDP_RIP.1.1": 1,
          "FDP_SDI.2": 5,
          "FDP_SDI.2.1": 1,
          "FDP_SDI.2.2": 1
        },
        "FIA": {
          "FIA_AFL.1": 4,
          "FIA_AFL.1.1": 1,
          "FIA_AFL.1.2": 1,
          "FIA_UAU.1": 5,
          "FIA_UAU.2": 27,
          "FIA_UAU.2.1": 1,
          "FIA_UAU.5": 28,
          "FIA_UAU.5.1": 1,
          "FIA_UAU.5.2": 1,
          "FIA_UAU.6": 5,
          "FIA_UAU.6.1": 1,
          "FIA_UAU.7": 6,
          "FIA_UAU.7.1": 1,
          "FIA_UID.1": 6,
          "FIA_UID.2": 28,
          "FIA_UID.2.1": 1
        },
        "FMT": {
          "FMT_MOF": 6,
          "FMT_MOF.1": 2,
          "FMT_MOF.1.1": 2,
          "FMT_MSA.3": 2,
          "FMT_MTD": 13,
          "FMT_MTD.1.1": 3,
          "FMT_SMF": 1,
          "FMT_SMF.1": 23,
          "FMT_SMF.1.1": 1,
          "FMT_SMR": 1,
          "FMT_SMR.1": 22,
          "FMT_SMR.1.1": 1,
          "FMT_SMR.1.2": 1
        },
        "FPT": {
          "FPT_FLS": 1,
          "FPT_FLS.1": 6,
          "FPT_FLS.1.1": 1,
          "FPT_IDA": 18,
          "FPT_IDA.1": 5,
          "FPT_IDA.1.1": 5,
          "FPT_ITC.1": 2,
          "FPT_SSY": 14,
          "FPT_SSY.1": 5,
          "FPT_SSY.1.1": 5,
          "FPT_STM.1": 3,
          "FPT_STM.1.1": 1,
          "FPT_TST.1": 3,
          "FPT_TST.1.1": 1,
          "FPT_TST.1.2": 1,
          "FPT_TST.1.3": 1
        },
        "FTP": {
          "FTP_ITC.1": 18,
          "FTP_ITC.1.1": 1,
          "FTP_ITC.1.2": 1,
          "FTP_ITC.1.3": 1
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 5
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "TLS": {
          "TLS": {
            "TLS": 4,
            "TLS v1.2": 1
          }
        }
      },
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {
        "TUBITAK-BILGEM": {
          "T\u00dcB\u0130TAK B\u0130LGEM": 1
        }
      },
      "hash_function": {
        "SHA": {
          "SHA2": {
            "SHA-256": 1
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {
        "FI": {
          "physical tampering": 1
        },
        "SCA": {
          "Timing Attacks": 1
        }
      },
      "standard_id": {
        "CC": {
          "CCMB-2012-09-001": 2,
          "CCMB-2012-09-002": 1,
          "CCMB-2012-09-003": 1,
          "CCMB-2012-09-004": 1
        },
        "FIPS": {
          "FIPS 180-4": 2,
          "FIPS 197": 3
        },
        "PKCS": {
          "PKCS #1": 1,
          "PKCS#1": 1
        },
        "RFC": {
          "RFC 3447": 1,
          "RFC 4493": 2,
          "RFC 5246": 1
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 6,
            "AES-": 1,
            "AES-256": 3
          }
        },
        "constructions": {
          "MAC": {
            "CMAC": 6
          }
        }
      },
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "st_metadata": {
      "/Author": "Mehmet Eris",
      "/CreationDate": "D:20151218174300+02\u002700\u0027",
      "/Creator": "Microsoft\u00ae Word 2013",
      "/ModDate": "D:20151218174300+02\u002700\u0027",
      "/Producer": "Microsoft\u00ae Word 2013",
      "pdf_file_size_bytes": 1933063,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "callto:2015101199",
          "callto:2015101201",
          "callto:2015101200",
          "callto:2015101202"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 101
    }
  },
  "protection_profile_links": {
    "_type": "Set",
    "elements": []
  },
  "report_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/KEC%20PP%20Certification%20Report.pdf",
  "scheme": "TR",
  "security_level": {
    "_type": "Set",
    "elements": [
      "EAL4+",
      "ALC_DVS.2"
    ]
  },
  "st_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/Protection%20Profile%20for%20Secure%20Smartcard%20Reader%20Application%20Firmware_v2.5.pdf",
  "state": {
    "_type": "sec_certs.sample.cc_eucc_common.InternalState",
    "cert": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": false,
      "download_ok": false,
      "extract_ok": false,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "report": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "77f4a8f6f1a9ecefbea1cc31e31d1307f6dacd628fab0397d82c62ac094cbb53",
      "source_hash": "6af0a1dafab341a43e37afcb414dd00db7810832686fd4bec49d2d033f4bb11c",
      "txt_hash": "153e75c3b5fba03913e67c1824574b10ed3b85142b9f4e26422f73d9831aa4be"
    },
    "st": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "65c6f18959fc013e5bcdd37d274e24f1689e10215f7d8a750981eaa2625ae5af",
      "source_hash": "4b7c7601039237911da2f8c83435fc6a81b726af45e6ead25c40235c9f84e987",
      "txt_hash": "c54eaa91be2219ba66f15a74c292b56f9d179abf3cb46f733afcbb981c2001b2"
    }
  },
  "status": "archived"
}